@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,400;0,500;0,700;0,900;1,100&display=swap");

body {
  max-width: 100%;
}

header {
  background: #ffffff;
  width: 100%;
  height: 15%;
  left: 0;
  top: 0;
  position: fixed;
  box-shadow: 0px 0px 25px 0px rgb(0 0 0 / 53%);
}

h1 {
  font-family: "Roboto-black", sans-serif;
  color: #44696c;
  font-size: 3em;
  padding: 0px 27%;
  position: fixed;
  top: 1%;
}

.selectPokemon {
  width: 12rem;
  height: 2.5rem;
  background-color: #e5e5e5;
  font-family: "Roboto", sans-serif;
  padding: 0 1.5rem;
  outline: none;
  border-style: none;
  border-radius: 15px;
}

#order {
  position: fixed;
  left: 51%;
  top: 7%;
}

#filter {
  position: fixed;
  left: 64%;
  top: 7%;
}

.searchPokemon {
  width: 15rem;
  height: 2.5rem;
  background-color: #e5e5e5;
  font-family: "Roboto", sans-serif;
  padding: 0 1.5rem;
  outline: none;
  border-style: none;
  border-radius: 15px;
  position: fixed;
  left: 77%;
  top: 7%;
}

.searchPokemon input {
  width: 15rem;
  height: 2.5rem;
  background-color: #e5e5e5;
  font-family: "Roboto", sans-serif;
  padding: 0 1.5rem;
  outline: none;
  border-style: none;
  border-radius: 15px;
}

#botonSearch {
  width: 5rem;
  height: 2.5rem;
  position: fixed;
  left: 90%;
  top: 7%;
  color: #14528f;
}

aside {
  margin: 0px;
  float: left;
  position: fixed;
  width: 25%;
  height: 100%;
  top: 0px;
  left: 0px;
  background-color: #14528f;
  font-family: "Roboto-black", sans-serif;
  text-align: center;
  color: white;
}

#Entrenador {
  width: 7rem;
  height: 40%;
  padding-top: 10%;
  z-index: 1;
}

#Pokebola {
  position: absolute;
  width: 25rem;
  height: 25rem;
  left: -5rem;
  top: -1rem;
  opacity: 0.5;
  z-index: -1;
}

h2 {
  font-family: "Roboto-black", sans-serif;
  color: #c4c4c4;
  font-size: 3em;
  margin: 1rem;
}

#barraNivel {
  background-color: #18efe9;
  width: 60%;
  border-radius: 15px;
  display: inline-flex;
  height: 1rem;
}

#level {
  float: left;
  width: 10%;
  padding: 0px 10%;
}

.pags {
  font-family: "Roboto-black", sans-serif;
  color: white;
  font-size: 2em;
  text-align: left;
  padding: 0px 30%;
}

.pags:hover {
  color: #c4c4c4;
}

main {
  float: right;
  width: 70%;
  padding: 3rem;
}

#root {
  display: flex;
  font-family: "Roboto", sans-serif;
  flex-flow: row wrap;
  gap: 2rem;
  margin-top: 8rem;
}

.card {
  background-color: #ffffff;
  flex: auto;
  width: 14rem;
  height: 17rem;
  text-align: center;
  border-color: white;
  box-shadow: 0px 0.25rem 0.2rem rgba(0, 0, 0, 0.3);
  border-radius: 1rem;
  color: #44696c;
  list-style-type: none;
  text-transform: capitalize;
}

.card:hover {
  background-color: #14528f;
  color: whitesmoke;
}

.num {
  text-align: left;
  font-size: 1rem;
  margin-left: 1rem;
  margin-top: 1rem;
}

.img {
  margin: -1rem auto;
}

.name {
  font-family: "Roboto-black", sans-serif;
  font-weight: bold;
  font-size: 2em;
  margin: auto;
}

.barrita {
  background-color: #6dedb7;
  width: 80%;
  border-radius: 15px;
  display: block;
  height: 0.3rem;
  margin: 0.5rem auto;
}

.divType {
  border-radius: 15px;
  font-family: "Roboto", sans-serif;
  font-size: 1.1rem;
  color: white;
  text-align: center;
  text-transform: capitalize;
  width: 5rem;
  height: 1.9rem;
  margin: 1rem 0.5rem 1rem;
  justify-content: center;
  display: inline-flex;
}

.normal {
  background-color: #a9a878;
}
.fire {
  background-color: #c03028;
}
.water {
  background-color: #6890f0;
}
.grass {
  background-color: #78c84f;
}
.electric {
  background-color: #f8d030;
}
.ice {
  background-color: #18efe9;
}
.fighting {
  background-color: #f07f2f;
}
.poison {
  background-color: #a040a1;
}
.ground {
  background-color: #995205;
}
.flying {
  background-color: #a890f0;
}
.psychic {
  background-color: #f85888;
}
.bug {
  background-color: #a8b821;
}
.rock {
  background-color: #a0935f;
}
.ghost {
  background-color: #5932a5;
}
.dragon {
  background-color: #1a578e;
}
.dark {
  background-color: #3d3d3d;
}
.steel {
  background-color: #8e8e8e;
}
.fairy {
  background-color: #ff69c6;
}

.modalClose {
  position: absolute;
  left: 69rem;
  width: 3rem;
  height: 3rem;
  border-radius: 50px;
  border-color: #ffffff;
  font-size: 2rem;
  color: #44696c;
}

.modalStructure {
  position: relative;
  top: 5rem;
  right: 2rem;
  margin: auto;
  width: 72rem;
  height: 42rem;
  background-image: url(images/fondo-modal.jpg);
  background-size: cover;
  object-position: center;
  border-radius: 45px;
  box-shadow: 0px 0px 25px 0px rgb(0 0 0 / 53%);
  justify-content: center;
}

.modalBackground {
  background-color: #fafafa;
  position: relative;
  top: 7rem;
  width: 72rem;
  height: 40rem;
  border-radius: 45px;
  text-align: center;
  box-shadow: 0px 10px 25px 0px rgb(0 0 0 / 53%);
}

.modalPokemon {
  display: inline-block;
  background-color: hsla(0, 0%, 100%, 0);
  position: absolute;
  text-align: center;
  top: -15%;
  left: 38%;
  width: 200px;
  height: 250px;
  border-radius: 15px;
}

.general-info {
  font-family: "Roboto-black", sans-serif;
  font-weight: bold;
  font-size: 2em;
  color: #44696c;
  text-align: center;
  text-transform: capitalize;
  margin: auto;
  object-position: center;
}

.text {
  font-family: "Roboto", sans-serif;
  font-size: 1em;
  color: #44696c;
  text-align: center;
}

.description {
  margin: 0 2rem;
  font-family: "Roboto", sans-serif;
  font-size: 1em;
  color: #44696c;
  position: absolute;
  top: 17rem;
  text-align: left;
}

.defense-section {
  position: absolute;
  top: 23rem;
  left: 50%;
  width: 30rem;
  height: 15rem;
  margin: auto;
}

.label {
  font-family: "Roboto", sans-serif;
  font-weight: bold;
  text-align: center;
  font-size: 1rem;
  color: #44696c;
}

.stats-chart {
  position: absolute;
  top: 20em;
  left: 2rem;
  width: 30rem;
  height: auto;
}

.barrita2 {
  background-color: #c4c4c4;
  width: 90%;
  border-radius: 15px;
  position: absolute;
  top: 15rem;
  left: 5%;
  height: 0.3rem;
  margin: 0.5rem auto;
}

@media only screen and (max-width: 780px) {
  /* /////////////////HEADER */
  header {
    width: 100%;
    height: 25%;
    background-color: #18efe9;
  }

  h1 {
    visibility: hidden;
  }

  #root {
  display: flex;
  flex-direction: column;
  font-family: "Roboto", sans-serif;
  flex-flow: row wrap;
  gap: 2rem;
  margin-top: 8rem;
}

  /*filters*/
 #order {
    position: fixed;
    left: 10%;
    top: 17%;
  }

  #filter {
    position: fixed;
    left: 40%;
    top: 17%;
  }

  .searchPokemon {
    position: fixed;
    left: 70%;
    top: 17%;
  }

  /* ASIDE */

  aside {
    margin: 0px;
    position: fixed;
    width: 100%;
    height: 10%;
    top: 0px;
    left: 0px;
    background-color: #14528f;
    font-family: "Roboto-black", sans-serif;
    text-align: center;
    color: white;
  }

  #Entrenador {
    visibility: hidden;
  }

  #EntrenadorMovil {
    width: 205;
    height: 4rem;
    visibility: visible;
    display: block;
  }

  .player{
    margin-top: -4rem;
  }

  #userName {
    font-size:2em;
    background-color: #c0cc1b;
    width:10rem;
    height: 3rem;
    left: 60%;
    position: relative;
 
  }

  /* cards */
  main {
    float: none;
    width: 100%;
    padding: 3rem;
  }
}
